package com.jasamedika.medifirst2000.vo;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.validation.constraints.NotNull;

import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class PapKeluhanUtamaVO extends BaseTransactionVO {

	@ManyToOne
	//@NotNull(message = "RegistrasiPelayananPasien tidak boleh kosong")
	private RegistrasiPelayananPasienVO registrasiPelayananPasien;	

	@ManyToOne
	@NotNull(message = "Pasien tidak boleh kosong")
	private AntrianPasienDiPeriksaVO pasienDaftar;	
	
	@NotNull(message = "Keluhan Utama tidak boleh kosong")
	@Column(name = "keluhan", nullable = false)
	@Caption(value = "keluhan")
	private String keluhanUtama;
	
	@NotNull(message = "Tgl Input tidak boleh kosong")
	@Column(name = "tglInput", nullable = false)
	@Caption(value = "Tgl Input")
	private Date tglInput;
	
	public String getKeluhanUtama() {
		return keluhanUtama;
	}

	public void setKeluhanUtama(String keluhanUtama) {
		this.keluhanUtama = keluhanUtama;
	}

	public AntrianPasienDiPeriksaVO getPasien() {
		return pasienDaftar;
	}

	public void setPasien(AntrianPasienDiPeriksaVO pasien) {
		this.pasienDaftar = pasien;
	}

	public Date getTglInput() {
		return tglInput;
	}

	public void setTglInput(Date tglInput) {
		this.tglInput = tglInput;
	}

	public RegistrasiPelayananPasienVO getRegistrasiPelayananPasien() {
		return registrasiPelayananPasien;
	}

	public void setRegistrasiPelayananPasien(RegistrasiPelayananPasienVO registrasiPelayananPasien) {
		this.registrasiPelayananPasien = registrasiPelayananPasien;
	}

}
